List all organizations
Retrieves a paginated list of organizations with comprehensive filtering options including search, status, country, credit check status, custom attributes, and date ranges. Supports sorting and pagination.
curl --request GET \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"app_id": "<string>",
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"billing_address": [
{
"city": "<string>",
"co_address": "<string>",
"company_id": "<string>",
"company_name": "<string>",
"country": "<string>",
"created_at": "<string>",
"house_number": "<string>",
"id": "<string>",
"is_default": true,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"street_address": "<string>",
"updated_at": "<string>"
}
],
"comment": "<string>",
"contact_name": "<string>",
"created_at": "<string>",
"credit_check": true,
"custom_fields": {},
"customer_groups": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"email": "<string>",
"external_ref": "<string>",
"id": "<string>",
"invoice_email": "<string>",
"name": "<string>",
"organisation_number": "<string>",
"parent_id": "<string>",
"parents": [
{
"id": "<string>",
"name": "<string>",
"organisation_number": "<string>"
}
],
"phone": "<string>",
"shipping_address": [
{
"city": "<string>",
"co_address": "<string>",
"company_id": "<string>",
"company_name": "<string>",
"country": "<string>",
"created_at": "<string>",
"house_number": "<string>",
"id": "<string>",
"is_default": true,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"street_address": "<string>",
"updated_at": "<string>"
}
],
"status": "<string>",
"tags": [
{
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"created_at": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"markets": [
{
"active": true,
"country_codes": [
"<string>"
],
"created_at": "<string>",
"currency_code": "<string>",
"id": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"updated_at": "<string>"
}
],
"name": "<string>",
"schedules": [
{
"add_category_names": [
"<string>"
],
"add_collection_names": [
"<string>"
],
"add_tag_names": [
"<string>"
],
"execute_at": "<string>",
"finished_at": "<string>",
"group_id": "<string>",
"id": "<string>",
"item_id": "<string>",
"item_name": "<string>",
"item_type": "<string>",
"remove_category_names": [
"<string>"
],
"remove_collection_names": [
"<string>"
],
"remove_tag_names": [
"<string>"
],
"to_amount_cents_with_tax": 123,
"to_market_id": "<string>",
"to_market_status": "<string>",
"to_on_sale": true,
"to_sale_amount_cents_with_tax": 123,
"to_start_sale_timestamp": "<string>",
"to_status": "<string>",
"to_stop_sale_timestamp": "<string>",
"to_store_group_id": "<string>"
}
],
"status": "<string>",
"translations": {
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>"
}
],
"tax_id_vat_number": "<string>",
"updated_at": "<string>"
}
],
"success": true,
"total": 123,
"total_pages": 123
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}Authorizations
Management API token, sent as Authorization: Bearer <token>.
Query Parameters
Page number (default: 1)
Items per page (default: 20, max: 100)
Sort field (name, organisation_number, created_at, updated_at, status)
Sort direction (asc, desc, default: desc)
Search term
Filter organizations that have merchant users
Filter by status (comma-separated: active, pending, inactive)
Filter by country code from company addresses (comma-separated, e.g., 'SE,NO')
Filter by credit check status
Filter by attribute IDs
Filter organizations created before this date (YYYY-MM-DD format, e.g., 2025-11-20)
Filter organizations created after this date (YYYY-MM-DD format, e.g., 2025-11-20)
Filter organizations updated before this date (YYYY-MM-DD format, e.g., 2025-11-20)
Filter organizations updated after this date (YYYY-MM-DD format, e.g., 2025-11-20)
curl --request GET \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/organisations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"app_id": "<string>",
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"billing_address": [
{
"city": "<string>",
"co_address": "<string>",
"company_id": "<string>",
"company_name": "<string>",
"country": "<string>",
"created_at": "<string>",
"house_number": "<string>",
"id": "<string>",
"is_default": true,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"street_address": "<string>",
"updated_at": "<string>"
}
],
"comment": "<string>",
"contact_name": "<string>",
"created_at": "<string>",
"credit_check": true,
"custom_fields": {},
"customer_groups": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"email": "<string>",
"external_ref": "<string>",
"id": "<string>",
"invoice_email": "<string>",
"name": "<string>",
"organisation_number": "<string>",
"parent_id": "<string>",
"parents": [
{
"id": "<string>",
"name": "<string>",
"organisation_number": "<string>"
}
],
"phone": "<string>",
"shipping_address": [
{
"city": "<string>",
"co_address": "<string>",
"company_id": "<string>",
"company_name": "<string>",
"country": "<string>",
"created_at": "<string>",
"house_number": "<string>",
"id": "<string>",
"is_default": true,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"street_address": "<string>",
"updated_at": "<string>"
}
],
"status": "<string>",
"tags": [
{
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"created_at": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"markets": [
{
"active": true,
"country_codes": [
"<string>"
],
"created_at": "<string>",
"currency_code": "<string>",
"id": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"updated_at": "<string>"
}
],
"name": "<string>",
"schedules": [
{
"add_category_names": [
"<string>"
],
"add_collection_names": [
"<string>"
],
"add_tag_names": [
"<string>"
],
"execute_at": "<string>",
"finished_at": "<string>",
"group_id": "<string>",
"id": "<string>",
"item_id": "<string>",
"item_name": "<string>",
"item_type": "<string>",
"remove_category_names": [
"<string>"
],
"remove_collection_names": [
"<string>"
],
"remove_tag_names": [
"<string>"
],
"to_amount_cents_with_tax": 123,
"to_market_id": "<string>",
"to_market_status": "<string>",
"to_on_sale": true,
"to_sale_amount_cents_with_tax": 123,
"to_start_sale_timestamp": "<string>",
"to_status": "<string>",
"to_stop_sale_timestamp": "<string>",
"to_store_group_id": "<string>"
}
],
"status": "<string>",
"translations": {
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>"
}
],
"tax_id_vat_number": "<string>",
"updated_at": "<string>"
}
],
"success": true,
"total": 123,
"total_pages": 123
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}